@REM
@REM Copyright (C) 2010 The Android Open Source Project
@REM
@REM Licensed under the Apache License, Version 2.0 (the "License");
@REM you may not use this file except in compliance with the License.
@REM You may obtain a copy of the License at
@REM
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM
@REM  This shell script is a wrapper to launch the NDK build from the
@REM  command-line inside an application project path.
@REM
@REM  Typical usage is:
@REM
@REM     cd $PROJECT_PATH
@REM     ndk-build
@REM
@REM  Assuming that the Android NDK root path is in your PATH. However,
@REM  you can also invoke it directly as:
@REM
@REM     $NDK_ROOT/ndk-build
@REM
@REM  This really is a tiny wrapper around GNU Make.
@REM

@REM Ensure we get the full path of this script's directory
@REM this is needed if the caller uses the -C <path> GNU Make
@REM option, as in:
@REM
@REM    cd ndk
@REM    ./ndk-build -C <project-path>
@REM
@SET PROGDIR=%~dp0
@SET PROGDIR=%PROGDIR:\=/%

make-ma -f %PROGDIR%build/core/build-local.mk %*
